---
editUrl: false
next: false
prev: false
title: "Disposable"
---

Represents a Disposable contract.
Let dependencies implement this to dispose and cleanup.

## Methods

### dispose()

> **dispose**(): `unknown`

#### Returns

`unknown`

#### Source

[src/core/contracts/hooks.ts:15](https://github.com/sern-handler/handler/blob/a19edaf8838dcf088d3947f4a6aa6213d8f5bb9e/src/core/contracts/hooks.ts#L15)
